unit AnimLabel;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls,ExtCtrls;

type
  TAnimLabel = class(TLabel)
  private
    Timer: TTimer;
    FOrCap:string;
    FInt: integer;
    FBit: boolean;
    Started:boolean;
    procedure TimerUpdate(Sender:Tobject);
  protected
    { Protected-Deklarationen }
  public
    procedure Update;
    procedure Start;
    procedure Stop;
  published
    property OriginalCaption: string read FOrCap write FOrCap;
    property Intervall: integer read FInt write FInt;
    property BuiltinTimer: boolean read FBit write FBit;
  end;

procedure Register;

implementation

procedure Register;
begin
  RegisterComponents('GL Komponente', [TAnimLabel]);
end;

procedure TAnimLabel.Start;
begin
 Caption:=FOrCap+'          ';
 Timer:=TTimer.Create(self);
 with Timer do
 begin
  Interval:=FInt;
  enabled:=FBit;
  OnTimer:=TimerUpdate;
 end;
 Started:=true;
end;

procedure TAnimLabel.TimerUpdate(Sender:Tobject);
begin
Update;
end;

procedure TAnimLabel.Update;
begin
 if length(Caption)>0 then Caption:=copy(Caption,2,length(Caption)-1)+Caption[1];
end;

procedure TAnimLabel.Stop;
begin
 if Started then Timer.enabled:=false;
 Caption:='';
end;

end.
